Subject: bug#51350: closed (Re: [bug#51350] [PATCH 3/3] gnu: Add OpenEXR 3.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 23 Oct 2021 20:29:01 +0000

Your bug report

#51350: [PATCH 0/3] Add OpenEXR version 3.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51350: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51350
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#51350] [PATCH 3/3] gnu: Add OpenEXR 3.
From: Leo Famulari <[email-masked]>
To: Vinicius Monego <[email-masked]>
Cc: [email-masked]
Date: Sat, 23 Oct 2021 16:28:18 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Oct 23, 2021 at 12:18:01PM +0000, Vinicius Monego wrote:
> * gnu/packages/graphics.scm (openexr): New variable.
> (openexr-2)[home-page]: Use home-page from openexr.
> [synopsis]: Use synopsis from openexr.
> [description]: Use description from openexr.
> [license]: Use license from openexr.

Thanks! Pushed as c52ba63c673f90be1d3b52be0051961ed2a9181a

> +       (snippet
> +        '(begin
> +           (with-directory-excursion "src/test"
> +             (substitute* (append (find-files "." "tmpDir\\.h")
> +                                  '("OpenEXRCoreTest/main.cpp"))
> +               (("\"/var/tmp/\"")
> +                "\"/tmp/\"")))
> +           #t))))

I pushed this patch separately from the rest of the series because I was
going to ask you to revise it, changing this snippet to a build phase.
But then I realized that it was already like this in the OpenEXR 2
package so I went ahead and pushed.

I'll make that change myself shortly. Snippets should be reserved for
really critical problems like fixing bugs or removing nonfree
components.

Subject: [PATCH 0/3] Add OpenEXR version 3.
From: Vinicius Monego <[email-masked]>
To: [email-masked]
Cc: Vinicius Monego <[email-masked]>
Date: Sat, 23 Oct 2021 12:13:32 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

These patches add OpenEXR version 3.

There were structural changes in this version. Part of "ilmbase" (the library for openexr 2) was split into the "imath" package (now in a separate repository), and the other part was merged into openexr 3.

Patches #2 and #3 do not cause any change in derivation (no rebuild).

The description of the openexr packages was also changed to reflect both versions.

Vinicius Monego (3):
  gnu: Add imath.
  gnu: Rename openexr to openexr-2.
  gnu: Add OpenEXR 3.

 gnu/packages/animation.scm        |  2 +-
 gnu/packages/gimp.scm             |  4 +-
 gnu/packages/graphics.scm         | 80 ++++++++++++++++++++++++++-----
 gnu/packages/gstreamer.scm        |  2 +-
 gnu/packages/image-processing.scm | 12 ++---
 gnu/packages/image-viewers.scm    |  2 +-
 gnu/packages/image.scm            |  6 +--
 gnu/packages/kde-frameworks.scm   |  2 +-
 gnu/packages/kde.scm              |  2 +-
 gnu/packages/photo.scm            |  6 +--
 10 files changed, 87 insertions(+), 31 deletions(-)

base-commit: e1261ddd38cf02a0f046f3a5360502d659b4e7d4
-- 
2.30.2